SuSE9 Security Update : perl-Net-DNS (YOU Patch Number 11702)

Medium Nessus Plugin ID 41146


The remote SuSE 9 host is missing a security-related patch.


perl-Net-DNS uses sequential IDs for DNS lookups which could cause problems with some programs like spamassassin. It potentially also simplifies DNS spoofing attacks against perl-Net-DNS. (CVE-2007-3377)

Additionally, malformed compressed DNS packets could trigger an endless loop in perl-Net-DNS. (CVE-2007-3409)


Apply YOU patch number 11702.

See Also

Plugin Details

Severity: Medium

ID: 41146

File Name: suse9_11702.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2012/04/23

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2007/08/10

Reference Information

CVE: CVE-2007-3377, CVE-2007-3409